def czytaj_netto(
    wartosc: str,
):
    tmp_value = None
    ret_value = None
    value_ok = False
    while not value_ok:
        tmp_value = input(f"{wartosc} - pamiętaj o wartości podatku: ")
        try:
            ret_value = float(tmp_value)
            if ret_value <= 0:
                print(
                    f"Wartość {ret_value} jest nieprawidłowa (musi być większa od 0). Spróbuj ponownie "
                )
            else:
                value_ok = True
                print("Poprawna kwota netto")
        except:
            print(f"Błąd {tmp_value} to nie jest liczba. Spróbuj ponownie...")

        return ret_value


def czytaj_vat(wartosc: str):
    progi = (0, 5, 8, 23)
    tmp_value = input(f"{wartosc} {progi}")
    try:
        ret_value = int(float(tmp_value))
        if ret_value not in progi:
            progi(f"Stawka {ret_value}% jest nieprawidłowa. Ustawiam 23%.")
            ret_value = 23
        else:
            print(f"Stawka {ret_value} przyjęta")
    except:
        print(f"Błędne dane: {tmp_value}. Ustawiam 23%")
        ret_value = 23

    return ret_value
